Changeset 2985 for ThirdParty/FilterSQP


Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (6 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

Location:
ThirdParty/FilterSQP
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/releases/1.2.4/configure

    r2977 r2985  
    10791079  --enable-debug-filtersqp
    10801080                          compile project FilterSQP with debug compiler flags
    1081 
    1082   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1081  --enable-doscompile     Under Cygwin, compile so that executables run under
     1082                          DOS. Set to mingw to use gcc/g++/ld with
     1083                          -mno-cygwin. Set to msvc to use cl/link (or
     1084                          icl/link). Default when mentioned: mingw. Default
     1085                          when not mentioned: disabled.
    10831086  --disable-pkg-config    disable use of pkg-config (if available)
    10841087  --disable-dependency-tracking  speeds up one-time build
     
    18711874
    18721875# Get the name of the Fortran compiler and appropriate compiler options
    1873 
    1874 
    1875   # for backward compatibility
    1876   # Check whether --enable-doscompile or --disable-doscompile was given.
    1877 if test "${enable_doscompile+set}" = set; then
    1878   enableval="$enable_doscompile"
    1879   enable_doscompile=$enableval
    1880 else
    1881   enable_doscompile=no
    1882 fi;
    1883 
    1884   # Check whether --enable-msvc or --disable-msvc was given.
    1885 if test "${enable_msvc+set}" = set; then
    1886   enableval="$enable_msvc"
    1887   enable_msvc=$enableval
    1888 else
    1889   enable_msvc=no
    1890      if test "$enable_doscompile" = msvc ; then
    1891        enable_msvc=yes
    1892      elif test "$enable_doscompile" != no ; then
    1893        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1894 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1895    { (exit 1); exit 1; }; }
    1896      fi
    1897 
    1898 fi;
    1899 
    1900   if test "$enable_msvc" = yes; then
    1901     case $build in
    1902       *-cygwin* | *-mingw*) ;;
    1903       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1904 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1905    { (exit 1); exit 1; }; } ;;
    1906     esac
    1907   fi
    1908 
    1909 
    1910  case $build in
     1876case $build in
    19111877  *-mingw*)
    19121878    if test "${LD+set}" = set; then :; else
     
    19151881    ;;
    19161882 esac
    1917  if test $enable_msvc = yes ; then
    1918    if test "x${LD+set}" = xset; then :; else
    1919      LD=link
     1883 case $enable_doscompile in
     1884   msvc)
     1885     if test "x${LD+set}" = xset; then :; else
     1886       LD=link
     1887     fi
     1888     ;;
     1889 esac
     1890
     1891
     1892 # Check whether --enable-doscompile or --disable-doscompile was given.
     1893if test "${enable_doscompile+set}" = set; then
     1894  enableval="$enable_doscompile"
     1895  if test "$enable_doscompile" != no; then
     1896     case $build in
     1897       *-cygwin* | *-mingw*) ;;
     1898       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1899echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1900   { (exit 1); exit 1; }; } ;;
     1901     esac
    19201902   fi
    1921  fi
     1903else
     1904  enable_doscompile=no
     1905fi;
     1906 case "$enable_doscompile" in
     1907   mingw)
     1908     case $build in
     1909       *-mingw*) enable_doscompile=no ;;
     1910     esac
     1911     ;;
     1912   msvc|no) ;;
     1913   yes) enable_doscompile=mingw ;;
     1914   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1915                    Try configure --help=recursive." >&5
     1916echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1917                    Try configure --help=recursive." >&2;}
     1918   { (exit 1); exit 1; }; }
     1919      ;;
     1920  esac
     1921  if test "$enable_doscompile" != no ; then
     1922    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1923echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1924  fi
    19221925
    19231926
     
    19621965case $build in
    19631966  *-cygwin* | *-mingw*)
    1964              if test "$enable_msvc" = yes ; then
    1965                comps="icl cl gcc"
     1967             if test "$enable_doscompile" = msvc ; then
     1968               comps="icl cl"
    19661969             else
    1967                comps="gcc icl cl"
     1970               comps="gcc cl"
    19681971             fi ;;
    19691972  *-*-solaris*)
     
    28182821            ;;
    28192822        esac
     2823        case $enable_doscompile in
     2824          mingw)
     2825            CFLAGS="-mno-cygwin"
     2826            cat >conftest.$ac_ext <<_ACEOF
     2827/* confdefs.h.  */
     2828_ACEOF
     2829cat confdefs.h >>conftest.$ac_ext
     2830cat >>conftest.$ac_ext <<_ACEOF
     2831/* end confdefs.h.  */
     2832
     2833int
     2834main ()
     2835{
     2836int i=0; i++;
     2837  ;
     2838  return 0;
     2839}
     2840_ACEOF
     2841rm -f conftest.$ac_objext conftest$ac_exeext
     2842if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2843  (eval $ac_link) 2>conftest.er1
     2844  ac_status=$?
     2845  grep -v '^ *+' conftest.er1 >conftest.err
     2846  rm -f conftest.er1
     2847  cat conftest.err >&5
     2848  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2849  (exit $ac_status); } &&
     2850         { ac_try='test -z "$ac_c_werror_flag"
     2851                         || test ! -s conftest.err'
     2852  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2853  (eval $ac_try) 2>&5
     2854  ac_status=$?
     2855  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2856  (exit $ac_status); }; } &&
     2857         { ac_try='test -s conftest$ac_exeext'
     2858  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2859  (eval $ac_try) 2>&5
     2860  ac_status=$?
     2861  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2862  (exit $ac_status); }; }; then
     2863  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2864else
     2865  echo "$as_me: failed program was:" >&5
     2866sed 's/^/| /' conftest.$ac_ext >&5
     2867
     2868fi
     2869rm -f conftest.err conftest.$ac_objext \
     2870      conftest$ac_exeext conftest.$ac_ext
     2871            CFLAGS=
     2872          ;;
     2873        esac
    28202874    esac
    28212875  fi
     
    31583212  clang* ) ;;
    31593213  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3160 
    3161  case $build in
     3214    case $build in
    31623215  *-mingw*)
    31633216    if test "${LD+set}" = set; then :; else
     
    31663219    ;;
    31673220 esac
    3168  if test $enable_msvc = yes ; then
    3169    if test "x${LD+set}" = xset; then :; else
    3170      LD=link
    3171    fi
    3172  fi
     3221 case $enable_doscompile in
     3222   msvc)
     3223     if test "x${LD+set}" = xset; then :; else
     3224       LD=link
     3225     fi
     3226     ;;
     3227 esac
    31733228
    31743229    ;;
     
    31843239case $build in
    31853240  *-cygwin* | *-mingw*)
    3186      if test "$enable_msvc" = yes ; then
    3187        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3241     if test "$enable_doscompile" = msvc ; then
     3242       coin_f77_comps="ifort fl32 compile_f2c"
    31883243     else
    31893244       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34103465
    34113466# Provide some information about the compiler.
    3412 echo "$as_me:3412:" \
     3467echo "$as_me:3467:" \
    34133468     "checking for Fortran 77 compiler version" >&5
    34143469ac_compiler=`set X $ac_compile; echo $2`
     
    35793634    coin_add_fflags="-pipe"
    35803635    coin_dbg_fflags="-g -O0"
     3636    case $enable_doscompile in
     3637      mingw)
     3638        FFLAGS="-mno-cygwin"
     3639        cat >conftest.$ac_ext <<_ACEOF
     3640      program main
     3641      write(*,*) 'Hello world'
     3642      end
     3643_ACEOF
     3644rm -f conftest.$ac_objext conftest$ac_exeext
     3645if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3646  (eval $ac_link) 2>conftest.er1
     3647  ac_status=$?
     3648  grep -v '^ *+' conftest.er1 >conftest.err
     3649  rm -f conftest.er1
     3650  cat conftest.err >&5
     3651  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3652  (exit $ac_status); } &&
     3653         { ac_try='test -z "$ac_f77_werror_flag"
     3654                         || test ! -s conftest.err'
     3655  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3656  (eval $ac_try) 2>&5
     3657  ac_status=$?
     3658  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3659  (exit $ac_status); }; } &&
     3660         { ac_try='test -s conftest$ac_exeext'
     3661  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3662  (eval $ac_try) 2>&5
     3663  ac_status=$?
     3664  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3665  (exit $ac_status); }; }; then
     3666  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3667else
     3668  echo "$as_me: failed program was:" >&5
     3669sed 's/^/| /' conftest.$ac_ext >&5
     3670
     3671fi
     3672rm -f conftest.err conftest.$ac_objext \
     3673      conftest$ac_exeext conftest.$ac_ext
     3674        FFLAGS=
     3675      ;;
     3676    esac
    35813677  else
    35823678    case $build in
     
    38703966case "$F77" in
    38713967  ifort* | */ifort* | IFORT* | */IFORT*)
    3872 
    3873  case $build in
     3968    case $build in
    38743969  *-mingw*)
    38753970    if test "${LD+set}" = set; then :; else
     
    38783973    ;;
    38793974 esac
    3880  if test $enable_msvc = yes ; then
    3881    if test "x${LD+set}" = xset; then :; else
    3882      LD=link
    3883    fi
    3884  fi
     3975 case $enable_doscompile in
     3976   msvc)
     3977     if test "x${LD+set}" = xset; then :; else
     3978       LD=link
     3979     fi
     3980     ;;
     3981 esac
    38853982
    38863983    ;;
     
    39494046ac_save_FFLAGS=$FFLAGS
    39504047FFLAGS="$FFLAGS $ac_verb"
    3951 (eval echo $as_me:3951: \"$ac_link\") >&5
     4048(eval echo $as_me:4048: \"$ac_link\") >&5
    39524049ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39534050echo "$ac_f77_v_output" >&5
     
    40274124ac_save_FFLAGS=$FFLAGS
    40284125FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4029 (eval echo $as_me:4029: \"$ac_link\") >&5
     4126(eval echo $as_me:4126: \"$ac_link\") >&5
    40304127ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40314128echo "$ac_f77_v_output" >&5
     
    72987395*-*-irix6*)
    72997396  # Find out which ABI we are using.
    7300   echo '#line 7300 "configure"' > conftest.$ac_ext
     7397  echo '#line 7397 "configure"' > conftest.$ac_ext
    73017398  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73027399  (eval $ac_compile) 2>&5
     
    98849981   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    98859982   -e 's:$: $lt_compiler_flag:'`
    9886    (eval echo "\"\$as_me:9886: $lt_compile\"" >&5)
     9983   (eval echo "\"\$as_me:9983: $lt_compile\"" >&5)
    98879984   (eval "$lt_compile" 2>conftest.err)
    98889985   ac_status=$?
    98899986   cat conftest.err >&5
    9890    echo "$as_me:9890: \$? = $ac_status" >&5
     9987   echo "$as_me:9987: \$? = $ac_status" >&5
    98919988   if (exit $ac_status) && test -s "$ac_outfile"; then
    98929989     # The compiler can only warn and ignore the option if not recognized
     
    1015210249   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1015310250   -e 's:$: $lt_compiler_flag:'`
    10154    (eval echo "\"\$as_me:10154: $lt_compile\"" >&5)
     10251   (eval echo "\"\$as_me:10251: $lt_compile\"" >&5)
    1015510252   (eval "$lt_compile" 2>conftest.err)
    1015610253   ac_status=$?
    1015710254   cat conftest.err >&5
    10158    echo "$as_me:10158: \$? = $ac_status" >&5
     10255   echo "$as_me:10255: \$? = $ac_status" >&5
    1015910256   if (exit $ac_status) && test -s "$ac_outfile"; then
    1016010257     # The compiler can only warn and ignore the option if not recognized
     
    1025610353   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1025710354   -e 's:$: $lt_compiler_flag:'`
    10258    (eval echo "\"\$as_me:10258: $lt_compile\"" >&5)
     10355   (eval echo "\"\$as_me:10355: $lt_compile\"" >&5)
    1025910356   (eval "$lt_compile" 2>out/conftest.err)
    1026010357   ac_status=$?
    1026110358   cat out/conftest.err >&5
    10262    echo "$as_me:10262: \$? = $ac_status" >&5
     10359   echo "$as_me:10359: \$? = $ac_status" >&5
    1026310360   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1026410361   then
     
    1267312770  lt_status=$lt_dlunknown
    1267412771  cat > conftest.$ac_ext <<EOF
    12675 #line 12675 "configure"
     12772#line 12772 "configure"
    1267612773#include "confdefs.h"
    1267712774
     
    1277312870  lt_status=$lt_dlunknown
    1277412871  cat > conftest.$ac_ext <<EOF
    12775 #line 12775 "configure"
     12872#line 12872 "configure"
    1277612873#include "confdefs.h"
    1277712874
     
    1513315230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1513415231   -e 's:$: $lt_compiler_flag:'`
    15135    (eval echo "\"\$as_me:15135: $lt_compile\"" >&5)
     15232   (eval echo "\"\$as_me:15232: $lt_compile\"" >&5)
    1513615233   (eval "$lt_compile" 2>conftest.err)
    1513715234   ac_status=$?
    1513815235   cat conftest.err >&5
    15139    echo "$as_me:15139: \$? = $ac_status" >&5
     15236   echo "$as_me:15236: \$? = $ac_status" >&5
    1514015237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1514115238     # The compiler can only warn and ignore the option if not recognized
     
    1523715334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1523815335   -e 's:$: $lt_compiler_flag:'`
    15239    (eval echo "\"\$as_me:15239: $lt_compile\"" >&5)
     15336   (eval echo "\"\$as_me:15336: $lt_compile\"" >&5)
    1524015337   (eval "$lt_compile" 2>out/conftest.err)
    1524115338   ac_status=$?
    1524215339   cat out/conftest.err >&5
    15243    echo "$as_me:15243: \$? = $ac_status" >&5
     15340   echo "$as_me:15340: \$? = $ac_status" >&5
    1524415341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1524515342   then
     
    1680716904   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680816905   -e 's:$: $lt_compiler_flag:'`
    16809    (eval echo "\"\$as_me:16809: $lt_compile\"" >&5)
     16906   (eval echo "\"\$as_me:16906: $lt_compile\"" >&5)
    1681016907   (eval "$lt_compile" 2>conftest.err)
    1681116908   ac_status=$?
    1681216909   cat conftest.err >&5
    16813    echo "$as_me:16813: \$? = $ac_status" >&5
     16910   echo "$as_me:16910: \$? = $ac_status" >&5
    1681416911   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681516912     # The compiler can only warn and ignore the option if not recognized
     
    1691117008   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1691217009   -e 's:$: $lt_compiler_flag:'`
    16913    (eval echo "\"\$as_me:16913: $lt_compile\"" >&5)
     17010   (eval echo "\"\$as_me:17010: $lt_compile\"" >&5)
    1691417011   (eval "$lt_compile" 2>out/conftest.err)
    1691517012   ac_status=$?
    1691617013   cat out/conftest.err >&5
    16917    echo "$as_me:16917: \$? = $ac_status" >&5
     17014   echo "$as_me:17014: \$? = $ac_status" >&5
    1691817015   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1691917016   then
     
    1911819215   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1911919216   -e 's:$: $lt_compiler_flag:'`
    19120    (eval echo "\"\$as_me:19120: $lt_compile\"" >&5)
     19217   (eval echo "\"\$as_me:19217: $lt_compile\"" >&5)
    1912119218   (eval "$lt_compile" 2>conftest.err)
    1912219219   ac_status=$?
    1912319220   cat conftest.err >&5
    19124    echo "$as_me:19124: \$? = $ac_status" >&5
     19221   echo "$as_me:19221: \$? = $ac_status" >&5
    1912519222   if (exit $ac_status) && test -s "$ac_outfile"; then
    1912619223     # The compiler can only warn and ignore the option if not recognized
     
    1938619483   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1938719484   -e 's:$: $lt_compiler_flag:'`
    19388    (eval echo "\"\$as_me:19388: $lt_compile\"" >&5)
     19485   (eval echo "\"\$as_me:19485: $lt_compile\"" >&5)
    1938919486   (eval "$lt_compile" 2>conftest.err)
    1939019487   ac_status=$?
    1939119488   cat conftest.err >&5
    19392    echo "$as_me:19392: \$? = $ac_status" >&5
     19489   echo "$as_me:19489: \$? = $ac_status" >&5
    1939319490   if (exit $ac_status) && test -s "$ac_outfile"; then
    1939419491     # The compiler can only warn and ignore the option if not recognized
     
    1949019587   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1949119588   -e 's:$: $lt_compiler_flag:'`
    19492    (eval echo "\"\$as_me:19492: $lt_compile\"" >&5)
     19589   (eval echo "\"\$as_me:19589: $lt_compile\"" >&5)
    1949319590   (eval "$lt_compile" 2>out/conftest.err)
    1949419591   ac_status=$?
    1949519592   cat out/conftest.err >&5
    19496    echo "$as_me:19496: \$? = $ac_status" >&5
     19593   echo "$as_me:19593: \$? = $ac_status" >&5
    1949719594   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1949819595   then
     
    2242422521echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2242522522coin_link_input_cmd="$LN_S"
     22523if test "$enable_doscompile" = mingw; then
     22524  coin_link_input_cmd=cp
     22525fi
    2242622526case "$CC" in
    2242722527  clang* ) ;;
  • ThirdParty/FilterSQP/trunk/configure

    r2966 r2985  
    10791079  --enable-debug-filtersqp
    10801080                          compile project FilterSQP with debug compiler flags
    1081 
    1082   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1081  --enable-doscompile     Under Cygwin, compile so that executables run under
     1082                          DOS. Set to mingw to use gcc/g++/ld with
     1083                          -mno-cygwin. Set to msvc to use cl/link (or
     1084                          icl/link). Default when mentioned: mingw. Default
     1085                          when not mentioned: disabled.
    10831086  --disable-pkg-config    disable use of pkg-config (if available)
    10841087  --disable-dependency-tracking  speeds up one-time build
     
    18701873
    18711874# Get the name of the Fortran compiler and appropriate compiler options
    1872 
    1873 
    1874   # for backward compatibility
    1875   # Check whether --enable-doscompile or --disable-doscompile was given.
    1876 if test "${enable_doscompile+set}" = set; then
    1877   enableval="$enable_doscompile"
    1878   enable_doscompile=$enableval
    1879 else
    1880   enable_doscompile=no
    1881 fi;
    1882 
    1883   # Check whether --enable-msvc or --disable-msvc was given.
    1884 if test "${enable_msvc+set}" = set; then
    1885   enableval="$enable_msvc"
    1886   enable_msvc=$enableval
    1887 else
    1888   enable_msvc=no
    1889      if test "$enable_doscompile" = msvc ; then
    1890        enable_msvc=yes
    1891      elif test "$enable_doscompile" != no ; then
    1892        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1893 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1894    { (exit 1); exit 1; }; }
    1895      fi
    1896 
    1897 fi;
    1898 
    1899   if test "$enable_msvc" = yes; then
    1900     case $build in
    1901       *-cygwin* | *-mingw*) ;;
    1902       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1903 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1904    { (exit 1); exit 1; }; } ;;
    1905     esac
    1906   fi
    1907 
    1908 
    1909  case $build in
     1875case $build in
    19101876  *-mingw*)
    19111877    if test "${LD+set}" = set; then :; else
     
    19141880    ;;
    19151881 esac
    1916  if test $enable_msvc = yes ; then
    1917    if test "x${LD+set}" = xset; then :; else
    1918      LD=link
     1882 case $enable_doscompile in
     1883   msvc)
     1884     if test "x${LD+set}" = xset; then :; else
     1885       LD=link
     1886     fi
     1887     ;;
     1888 esac
     1889
     1890
     1891 # Check whether --enable-doscompile or --disable-doscompile was given.
     1892if test "${enable_doscompile+set}" = set; then
     1893  enableval="$enable_doscompile"
     1894  if test "$enable_doscompile" != no; then
     1895     case $build in
     1896       *-cygwin* | *-mingw*) ;;
     1897       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1898echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1899   { (exit 1); exit 1; }; } ;;
     1900     esac
    19191901   fi
    1920  fi
    1921 
    1922 
    1923 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1924 if test "${enable_static_standardlibs+set}" = set; then
    1925   enableval="$enable_static_standardlibs"
    1926   case "$enableval" in
    1927      no | yes | auto ) ;;
    1928      *)
    1929        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1930 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1931    { (exit 1); exit 1; }; } ;;
    1932    esac
    1933    use_static_standardlibs=$enableval
    1934 else
    1935   use_static_standardlibs=no
     1902else
     1903  enable_doscompile=no
    19361904fi;
    1937 
     1905 case "$enable_doscompile" in
     1906   mingw)
     1907     case $build in
     1908       *-mingw*) enable_doscompile=no ;;
     1909     esac
     1910     ;;
     1911   msvc|no) ;;
     1912   yes) enable_doscompile=mingw ;;
     1913   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1914                    Try configure --help=recursive." >&5
     1915echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1916                    Try configure --help=recursive." >&2;}
     1917   { (exit 1); exit 1; }; }
     1918      ;;
     1919  esac
     1920  if test "$enable_doscompile" != no ; then
     1921    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1922echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1923  fi
    19381924
    19391925
     
    19781964case $build in
    19791965  *-cygwin* | *-mingw*)
    1980              if test "$enable_msvc" = yes ; then
    1981                comps="icl cl gcc"
     1966             if test "$enable_doscompile" = msvc ; then
     1967               comps="icl cl"
    19821968             else
    1983                comps="gcc icl cl"
     1969               comps="gcc cl"
    19841970             fi ;;
    19851971  *-*-solaris*)
     
    28342820            ;;
    28352821        esac
     2822        case $enable_doscompile in
     2823          mingw)
     2824            CFLAGS="-mno-cygwin"
     2825            cat >conftest.$ac_ext <<_ACEOF
     2826/* confdefs.h.  */
     2827_ACEOF
     2828cat confdefs.h >>conftest.$ac_ext
     2829cat >>conftest.$ac_ext <<_ACEOF
     2830/* end confdefs.h.  */
     2831
     2832int
     2833main ()
     2834{
     2835int i=0; i++;
     2836  ;
     2837  return 0;
     2838}
     2839_ACEOF
     2840rm -f conftest.$ac_objext conftest$ac_exeext
     2841if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2842  (eval $ac_link) 2>conftest.er1
     2843  ac_status=$?
     2844  grep -v '^ *+' conftest.er1 >conftest.err
     2845  rm -f conftest.er1
     2846  cat conftest.err >&5
     2847  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2848  (exit $ac_status); } &&
     2849         { ac_try='test -z "$ac_c_werror_flag"
     2850                         || test ! -s conftest.err'
     2851  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2852  (eval $ac_try) 2>&5
     2853  ac_status=$?
     2854  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2855  (exit $ac_status); }; } &&
     2856         { ac_try='test -s conftest$ac_exeext'
     2857  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2858  (eval $ac_try) 2>&5
     2859  ac_status=$?
     2860  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2861  (exit $ac_status); }; }; then
     2862  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2863else
     2864  echo "$as_me: failed program was:" >&5
     2865sed 's/^/| /' conftest.$ac_ext >&5
     2866
     2867fi
     2868rm -f conftest.err conftest.$ac_objext \
     2869      conftest$ac_exeext conftest.$ac_ext
     2870            CFLAGS=
     2871          ;;
     2872        esac
    28362873    esac
    28372874  fi
     
    30243061    CFLAGS="$OPT_CFLAGS"
    30253062  fi
    3026 
    30273063else
    30283064  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    31753211  clang* ) ;;
    31763212  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3177 
    3178  case $build in
     3213    case $build in
    31793214  *-mingw*)
    31803215    if test "${LD+set}" = set; then :; else
     
    31833218    ;;
    31843219 esac
    3185  if test $enable_msvc = yes ; then
    3186    if test "x${LD+set}" = xset; then :; else
    3187      LD=link
    3188    fi
    3189  fi
     3220 case $enable_doscompile in
     3221   msvc)
     3222     if test "x${LD+set}" = xset; then :; else
     3223       LD=link
     3224     fi
     3225     ;;
     3226 esac
    31903227
    31913228    ;;
    31923229esac
    3193 
    3194 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3195 if test x$use_static_standardlibs != xno ; then
    3196   case $build in
    3197     *-mingw*)
    3198       static_standardlib_flag=-static
    3199       ;;
    3200     *)
    3201       static_standardlib_flag=-static-libgcc
    3202       ;;
    3203   esac
    3204   case " $LDFLAGS " in
    3205     *" $static_standardlib_flag "* ) ;;
    3206     *)
    3207     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3208 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3209     coin_save_LDFLAGS="$LDFLAGS"
    3210     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3211     cat >conftest.$ac_ext <<_ACEOF
    3212 /* confdefs.h.  */
    3213 _ACEOF
    3214 cat confdefs.h >>conftest.$ac_ext
    3215 cat >>conftest.$ac_ext <<_ACEOF
    3216 /* end confdefs.h.  */
    3217 
    3218 int
    3219 main ()
    3220 {
    3221 int i=0;
    3222   ;
    3223   return 0;
    3224 }
    3225 _ACEOF
    3226 rm -f conftest.$ac_objext conftest$ac_exeext
    3227 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3228   (eval $ac_link) 2>conftest.er1
    3229   ac_status=$?
    3230   grep -v '^ *+' conftest.er1 >conftest.err
    3231   rm -f conftest.er1
    3232   cat conftest.err >&5
    3233   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3234   (exit $ac_status); } &&
    3235          { ac_try='test -z "$ac_c_werror_flag"
    3236                          || test ! -s conftest.err'
    3237   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3238   (eval $ac_try) 2>&5
    3239   ac_status=$?
    3240   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3241   (exit $ac_status); }; } &&
    3242          { ac_try='test -s conftest$ac_exeext'
    3243   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3244   (eval $ac_try) 2>&5
    3245   ac_status=$?
    3246   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3247   (exit $ac_status); }; }; then
    3248   echo "$as_me:$LINENO: result: yes" >&5
    3249 echo "${ECHO_T}yes" >&6
    3250 else
    3251   echo "$as_me: failed program was:" >&5
    3252 sed 's/^/| /' conftest.$ac_ext >&5
    3253 
    3254 echo "$as_me:$LINENO: result: no" >&5
    3255 echo "${ECHO_T}no" >&6
    3256        LDFLAGS="$coin_save_LDFLAGS"
    3257        if test $use_static_standardlibs = yes ; then
    3258          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3259 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3260    { (exit 1); exit 1; }; }
    3261        fi
    3262 
    3263 fi
    3264 rm -f conftest.err conftest.$ac_objext \
    3265       conftest$ac_exeext conftest.$ac_ext
    3266     ;;
    3267   esac
    3268 fi
    32693230
    32703231ac_ext=c
     
    32773238case $build in
    32783239  *-cygwin* | *-mingw*)
    3279      if test "$enable_msvc" = yes ; then
    3280        coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
     3240     if test "$enable_doscompile" = msvc ; then
     3241       coin_f77_comps="ifort fl32 compile_f2c"
    32813242     else
    32823243       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    32883249  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32893250 esac
    3290 
    32913251
    32923252
     
    35043464
    35053465# Provide some information about the compiler.
    3506 echo "$as_me:3506:" \
     3466echo "$as_me:3466:" \
    35073467     "checking for Fortran 77 compiler version" >&5
    35083468ac_compiler=`set X $ac_compile; echo $2`
     
    36733633    coin_add_fflags="-pipe"
    36743634    coin_dbg_fflags="-g -O0"
     3635    case $enable_doscompile in
     3636      mingw)
     3637        FFLAGS="-mno-cygwin"
     3638        cat >conftest.$ac_ext <<_ACEOF
     3639      program main
     3640      write(*,*) 'Hello world'
     3641      end
     3642_ACEOF
     3643rm -f conftest.$ac_objext conftest$ac_exeext
     3644if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3645  (eval $ac_link) 2>conftest.er1
     3646  ac_status=$?
     3647  grep -v '^ *+' conftest.er1 >conftest.err
     3648  rm -f conftest.er1
     3649  cat conftest.err >&5
     3650  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3651  (exit $ac_status); } &&
     3652         { ac_try='test -z "$ac_f77_werror_flag"
     3653                         || test ! -s conftest.err'
     3654  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3655  (eval $ac_try) 2>&5
     3656  ac_status=$?
     3657  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3658  (exit $ac_status); }; } &&
     3659         { ac_try='test -s conftest$ac_exeext'
     3660  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3661  (eval $ac_try) 2>&5
     3662  ac_status=$?
     3663  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3664  (exit $ac_status); }; }; then
     3665  coin_add_fflags="-mno-cygwin $coin_add_fflags"
     3666else
     3667  echo "$as_me: failed program was:" >&5
     3668sed 's/^/| /' conftest.$ac_ext >&5
     3669
     3670fi
     3671rm -f conftest.err conftest.$ac_objext \
     3672      conftest$ac_exeext conftest.$ac_ext
     3673        FFLAGS=
     3674      ;;
     3675    esac
    36753676  else
    36763677    case $build in
     
    38403841    FFLAGS="$OPT_FFLAGS"
    38413842  fi
    3842 
    38433843else
    38443844  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39653965case "$F77" in
    39663966  ifort* | */ifort* | IFORT* | */IFORT*)
    3967 
    3968  case $build in
     3967    case $build in
    39693968  *-mingw*)
    39703969    if test "${LD+set}" = set; then :; else
     
    39733972    ;;
    39743973 esac
    3975  if test $enable_msvc = yes ; then
    3976    if test "x${LD+set}" = xset; then :; else
    3977      LD=link
    3978    fi
    3979  fi
     3974 case $enable_doscompile in
     3975   msvc)
     3976     if test "x${LD+set}" = xset; then :; else
     3977       LD=link
     3978     fi
     3979     ;;
     3980 esac
    39803981
    39813982    ;;
    39823983esac
    3983 
    3984 # check whether to add flag for static linking against standard libraries to LDFLAGS
    3985 if test x$use_static_standardlibs != xno ; then
    3986   case $build in
    3987     *-mingw*)
    3988       static_standardlib_flag=-static
    3989       ;;
    3990     *)
    3991       static_standardlib_flag=-static-libgfortran
    3992       ;;
    3993   esac
    3994   case " $LDFLAGS " in
    3995     *" $static_standardlib_flag "* ) ;;
    3996     *)
    3997     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3998 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3999     coin_save_LDFLAGS="$LDFLAGS"
    4000     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4001     cat >conftest.$ac_ext <<_ACEOF
    4002       program main
    4003       integer i
    4004       end
    4005 _ACEOF
    4006 rm -f conftest.$ac_objext conftest$ac_exeext
    4007 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4008   (eval $ac_link) 2>conftest.er1
    4009   ac_status=$?
    4010   grep -v '^ *+' conftest.er1 >conftest.err
    4011   rm -f conftest.er1
    4012   cat conftest.err >&5
    4013   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4014   (exit $ac_status); } &&
    4015          { ac_try='test -z "$ac_f77_werror_flag"
    4016                          || test ! -s conftest.err'
    4017   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4018   (eval $ac_try) 2>&5
    4019   ac_status=$?
    4020   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4021   (exit $ac_status); }; } &&
    4022          { ac_try='test -s conftest$ac_exeext'
    4023   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4024   (eval $ac_try) 2>&5
    4025   ac_status=$?
    4026   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4027   (exit $ac_status); }; }; then
    4028   echo "$as_me:$LINENO: result: yes" >&5
    4029 echo "${ECHO_T}yes" >&6
    4030 else
    4031   echo "$as_me: failed program was:" >&5
    4032 sed 's/^/| /' conftest.$ac_ext >&5
    4033 
    4034 echo "$as_me:$LINENO: result: no" >&5
    4035 echo "${ECHO_T}no" >&6
    4036        LDFLAGS="$coin_save_LDFLAGS"
    4037        if test $use_static_standardlibs = yes ; then
    4038          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4039 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4040    { (exit 1); exit 1; }; }
    4041        fi
    4042 
    4043 fi
    4044 rm -f conftest.err conftest.$ac_objext \
    4045       conftest$ac_exeext conftest.$ac_ext
    4046     ;;
    4047   esac
    4048 fi
    40493984
    40503985ac_ext=c
     
    41104045ac_save_FFLAGS=$FFLAGS
    41114046FFLAGS="$FFLAGS $ac_verb"
    4112 (eval echo $as_me:4112: \"$ac_link\") >&5
     4047(eval echo $as_me:4047: \"$ac_link\") >&5
    41134048ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41144049echo "$ac_f77_v_output" >&5
     
    41884123ac_save_FFLAGS=$FFLAGS
    41894124FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4190 (eval echo $as_me:4190: \"$ac_link\") >&5
     4125(eval echo $as_me:4125: \"$ac_link\") >&5
    41914126ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41924127echo "$ac_f77_v_output" >&5
     
    74597394*-*-irix6*)
    74607395  # Find out which ABI we are using.
    7461   echo '#line 7461 "configure"' > conftest.$ac_ext
     7396  echo '#line 7396 "configure"' > conftest.$ac_ext
    74627397  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    74637398  (eval $ac_compile) 2>&5
     
    100459980   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    100469981   -e 's:$: $lt_compiler_flag:'`
    10047    (eval echo "\"\$as_me:10047: $lt_compile\"" >&5)
     9982   (eval echo "\"\$as_me:9982: $lt_compile\"" >&5)
    100489983   (eval "$lt_compile" 2>conftest.err)
    100499984   ac_status=$?
    100509985   cat conftest.err >&5
    10051    echo "$as_me:10051: \$? = $ac_status" >&5
     9986   echo "$as_me:9986: \$? = $ac_status" >&5
    100529987   if (exit $ac_status) && test -s "$ac_outfile"; then
    100539988     # The compiler can only warn and ignore the option if not recognized
     
    1031310248   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1031410249   -e 's:$: $lt_compiler_flag:'`
    10315    (eval echo "\"\$as_me:10315: $lt_compile\"" >&5)
     10250   (eval echo "\"\$as_me:10250: $lt_compile\"" >&5)
    1031610251   (eval "$lt_compile" 2>conftest.err)
    1031710252   ac_status=$?
    1031810253   cat conftest.err >&5
    10319    echo "$as_me:10319: \$? = $ac_status" >&5
     10254   echo "$as_me:10254: \$? = $ac_status" >&5
    1032010255   if (exit $ac_status) && test -s "$ac_outfile"; then
    1032110256     # The compiler can only warn and ignore the option if not recognized
     
    1041710352   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1041810353   -e 's:$: $lt_compiler_flag:'`
    10419    (eval echo "\"\$as_me:10419: $lt_compile\"" >&5)
     10354   (eval echo "\"\$as_me:10354: $lt_compile\"" >&5)
    1042010355   (eval "$lt_compile" 2>out/conftest.err)
    1042110356   ac_status=$?
    1042210357   cat out/conftest.err >&5
    10423    echo "$as_me:10423: \$? = $ac_status" >&5
     10358   echo "$as_me:10358: \$? = $ac_status" >&5
    1042410359   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1042510360   then
     
    1283412769  lt_status=$lt_dlunknown
    1283512770  cat > conftest.$ac_ext <<EOF
    12836 #line 12836 "configure"
     12771#line 12771 "configure"
    1283712772#include "confdefs.h"
    1283812773
     
    1293412869  lt_status=$lt_dlunknown
    1293512870  cat > conftest.$ac_ext <<EOF
    12936 #line 12936 "configure"
     12871#line 12871 "configure"
    1293712872#include "confdefs.h"
    1293812873
     
    1529415229   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1529515230   -e 's:$: $lt_compiler_flag:'`
    15296    (eval echo "\"\$as_me:15296: $lt_compile\"" >&5)
     15231   (eval echo "\"\$as_me:15231: $lt_compile\"" >&5)
    1529715232   (eval "$lt_compile" 2>conftest.err)
    1529815233   ac_status=$?
    1529915234   cat conftest.err >&5
    15300    echo "$as_me:15300: \$? = $ac_status" >&5
     15235   echo "$as_me:15235: \$? = $ac_status" >&5
    1530115236   if (exit $ac_status) && test -s "$ac_outfile"; then
    1530215237     # The compiler can only warn and ignore the option if not recognized
     
    1539815333   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1539915334   -e 's:$: $lt_compiler_flag:'`
    15400    (eval echo "\"\$as_me:15400: $lt_compile\"" >&5)
     15335   (eval echo "\"\$as_me:15335: $lt_compile\"" >&5)
    1540115336   (eval "$lt_compile" 2>out/conftest.err)
    1540215337   ac_status=$?
    1540315338   cat out/conftest.err >&5
    15404    echo "$as_me:15404: \$? = $ac_status" >&5
     15339   echo "$as_me:15339: \$? = $ac_status" >&5
    1540515340   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1540615341   then
     
    1696816903   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1696916904   -e 's:$: $lt_compiler_flag:'`
    16970    (eval echo "\"\$as_me:16970: $lt_compile\"" >&5)
     16905   (eval echo "\"\$as_me:16905: $lt_compile\"" >&5)
    1697116906   (eval "$lt_compile" 2>conftest.err)
    1697216907   ac_status=$?
    1697316908   cat conftest.err >&5
    16974    echo "$as_me:16974: \$? = $ac_status" >&5
     16909   echo "$as_me:16909: \$? = $ac_status" >&5
    1697516910   if (exit $ac_status) && test -s "$ac_outfile"; then
    1697616911     # The compiler can only warn and ignore the option if not recognized
     
    1707217007   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1707317008   -e 's:$: $lt_compiler_flag:'`
    17074    (eval echo "\"\$as_me:17074: $lt_compile\"" >&5)
     17009   (eval echo "\"\$as_me:17009: $lt_compile\"" >&5)
    1707517010   (eval "$lt_compile" 2>out/conftest.err)
    1707617011   ac_status=$?
    1707717012   cat out/conftest.err >&5
    17078    echo "$as_me:17078: \$? = $ac_status" >&5
     17013   echo "$as_me:17013: \$? = $ac_status" >&5
    1707917014   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1708017015   then
     
    1927919214   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1928019215   -e 's:$: $lt_compiler_flag:'`
    19281    (eval echo "\"\$as_me:19281: $lt_compile\"" >&5)
     19216   (eval echo "\"\$as_me:19216: $lt_compile\"" >&5)
    1928219217   (eval "$lt_compile" 2>conftest.err)
    1928319218   ac_status=$?
    1928419219   cat conftest.err >&5
    19285    echo "$as_me:19285: \$? = $ac_status" >&5
     19220   echo "$as_me:19220: \$? = $ac_status" >&5
    1928619221   if (exit $ac_status) && test -s "$ac_outfile"; then
    1928719222     # The compiler can only warn and ignore the option if not recognized
     
    1954719482   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1954819483   -e 's:$: $lt_compiler_flag:'`
    19549    (eval echo "\"\$as_me:19549: $lt_compile\"" >&5)
     19484   (eval echo "\"\$as_me:19484: $lt_compile\"" >&5)
    1955019485   (eval "$lt_compile" 2>conftest.err)
    1955119486   ac_status=$?
    1955219487   cat conftest.err >&5
    19553    echo "$as_me:19553: \$? = $ac_status" >&5
     19488   echo "$as_me:19488: \$? = $ac_status" >&5
    1955419489   if (exit $ac_status) && test -s "$ac_outfile"; then
    1955519490     # The compiler can only warn and ignore the option if not recognized
     
    1965119586   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1965219587   -e 's:$: $lt_compiler_flag:'`
    19653    (eval echo "\"\$as_me:19653: $lt_compile\"" >&5)
     19588   (eval echo "\"\$as_me:19588: $lt_compile\"" >&5)
    1965419589   (eval "$lt_compile" 2>out/conftest.err)
    1965519590   ac_status=$?
    1965619591   cat out/conftest.err >&5
    19657    echo "$as_me:19657: \$? = $ac_status" >&5
     19592   echo "$as_me:19592: \$? = $ac_status" >&5
    1965819593   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1965919594   then
     
    2258522520echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2258622521coin_link_input_cmd="$LN_S"
     22522if test "$enable_doscompile" = mingw; then
     22523  coin_link_input_cmd=cp
     22524fi
    2258722525case "$CC" in
    2258822526  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.